Resultados 1 al 4 de 4

Tema: Problema con phpMyAdmin

  1. #1 Problema con phpMyAdmin 
    Iniciado
    Fecha de ingreso
    Apr 2004
    Mensajes
    35
    Descargas
    0
    Uploads
    0
    Hola, gente...
    Espero que estén bien de salud...
    Bueno, pues lo que pasa es que estoy teniendo problemas con phpMyAdmin.
    Tenía instalado mysql-shareware-3.22.34-win y ahí creé una BD que después utilicé en este mismo pc, ya que, estoy comenzando a aprender sobre php y mysql . Luego me baje el phpMyAdmin-2.6.0-pl2 y lo instalé en la carpeta htdocs de apache. Bueno...El caso aquí es que no puedo crear bases de datos desde phpMyAdmin, solo las puedo crear desde el ms-dos. Desde phpMyAdmin puedo ver las BD's que hago desde ms-dos, pero, no puedo ver sus contenidos(sus tablas).

    Al intentar hacer una nueva base me imprime el siguiente mensaje:
    #1064 - You have an error in your SQL syntax near '`nuevabd`;' at line 1

    y Al intentar revisar una base de datos hecha desde ms-dos en la barra de menú imprime lo siguiente (esto lo imprime en la parte izquierda de la página):
    Warning: mysql_fetch_array(): supplied argument is not a valid MySQL result resource in c:\archivos de programa\apache group\apache\htdocs\phpmyadmin\libraries\dbi\mysql .dbi.lib.php on line 118
    esto último me hace sospechar algo, pues, utilicé la función mysql_fetch_array() para imprimir contenidos de la BD.

    ya edité config.inc.php y rellene únicamente las siguientes variables:
    $cfg['PmaAbsoluteUri']
    $cfg['Servers'][$i]['host'] string
    $cfg['Servers'][$i]['user'] string
    $cfg['Servers'][$i]['password'] string
    aunque sospecho que las he configurado mal, pues, no tengo ni un solo privilegio... :S
    Estoy algo confundido...

    Ahh..una última cosa. En la parte inferior de la página de inicio de phpMyAdmin me sale un mensaje así:
    Usted debería actualizar su MySQL a la versión 3.23.32 o más reciente.

    Podrá ser algún tipo de incompatibilidad¿?..

    Saludos...
    Última edición por Redentor; 15-11-2004 a las 07:31
    Citar  
     

  2. #2 Disculpen.. 
    Iniciado
    Fecha de ingreso
    Apr 2004
    Mensajes
    35
    Descargas
    0
    Uploads
    0
    Por fin...he resuelto el problema que tenía...al parecer el problema radicaba en algún tipo de incompatibilidad entre mysql y phpMyAdmin. Me bajé el phpMyADmin-4.1.7 y me ha servido a todo dar.

    Espero me disculpen por gastar un tema en algo que yo mismo pude haber resuelto antes.

    Saludos...
    Citar  
     

  3. #3  
    Iniciado
    Fecha de ingreso
    Apr 2004
    Mensajes
    35
    Descargas
    0
    Uploads
    0
    jeje...bueno pues...ahora que actualicé mysql me sale un error al utilizar la función:
    mysql_fetch_array()ésta función la utilizaba para imprimir el contenido de la BD.Estaba pensando que tal vez es una función vieja.
    Citar  
     

  4. #4  
    Iniciado
    Fecha de ingreso
    Apr 2004
    Mensajes
    35
    Descargas
    0
    Uploads
    0
    una vez más, disculpen mi ingenuidad. Ya resolví el problema que tenía :S
    Citar  
     

Temas similares

  1. Múltiples vulnerabilidades en phpMyAdmin
    Por clarinetista en el foro NOTICIAS
    Respuestas: 0
    Último mensaje: 07-07-2011, 10:48
  2. Ejecución remota de código PHP en phpMyAdmin
    Por clarinetista en el foro VULNERABILIDADES
    Respuestas: 2
    Último mensaje: 04-09-2009, 14:44
  3. PHPMyAdmin --- Backup
    Por clarinetista en el foro BASES DE DATOS
    Respuestas: 3
    Último mensaje: 27-05-2004, 12:00

Marcadores

Marcadores

Permisos de publicación

  • No puedes crear nuevos temas
  • No puedes responder temas
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •